<%@page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Lista produktów 5</title>
<link rel="stylesheet" type="text/css" href="styl.css">
</head>
<body>
<h1>Lista produktów - wersja 5 JSP</h1>

<jsp:useBean id="bean" class="sklep.web.ProductBean"/>

<c:forEach var="a" items="${bean.allProducts}">
	<div class="product">
	<h3>${a.productName}</h3>
	<div>Cena: ${a.price} PLN</div>
	<div>VAT: ${a.vat * 100}%</div>
	<c:if test="${not empty(a.description)}">
		<div class="description">${a.description}</div>
	</c:if>
	</div>
</c:forEach>

</body>
</html>
